<?php
/**
 * CubeCart v6
 * ========================================
 * CubeCart is a registered trade mark of CubeCart Limited
 * Copyright CubeCart Limited 2014. All rights reserved.
 * UK Private Limited Company No. 5323904
 * ========================================
 * Web:   http://www.cubecart.com
 * Email:  sales@cubecart.com
 * License:  GPL-3.0 http://opensource.org/licenses/GPL-3.0
 */
?>
<form action="{$VAL_SELF}" method="post" enctype="multipart/form-data">
   <div id="chargeanywhere" class="tab_content">
      <h3><!--{$TITLE}-->ChargeAnyWhere</h3>
      <fieldset>
         <legend>{$LANG.module.cubecart_settings}</legend>

         <div><label for="status">{$LANG.common.status}</label><span><input type="hidden" name="module[status]" id="status" class="toggle" value="{$MODULE.status}" /></span></div>
         <div><label for="position">{$LANG.module.position}</label><span><input type="text" name="module[position]" id="position" class="textbox number" value="{$MODULE.position}" /></span></div>
         <div><label for="default">{$LANG.common.default}</label><span><input type="hidden" name="module[default]" id="default" class="toggle" value="{$MODULE.default}" /></span></div>
         <div><label for="desc">{$LANG.common.description}</label><span><input name="module[desc]" id="desc" class="textbox" type="text" value="{$MODULE.desc}" /></span></div>
         <div><label for="merchant_id">{$LANG.charge_any_where.merchant_id}</label><span><input name="module[merchant_id]" id="merchant_id" class="textbox" type="text" value="{$MODULE.merchant_id}" /></span></div>
         <div><label for="terminal_id">{$LANG.charge_any_where.terminal_id}</label><span><input name="module[terminal_id]" id="terminal_id" class="textbox" type="text" value="{$MODULE.terminal_id}" /></span></div>
         <div><label for="secret">{$LANG.charge_any_where.secret}</label><span><input name="module[secret]" id="secret" class="textbox" type="text" value="{$MODULE.secret}" /></span></div>
         
         <div>
            <label for="mode">{$LANG.charge_any_where.api_mode}</label>
            <span>
               <select name="module[api_mode]">
                  <option value="auth_capture" {$SELECT_api_mode_auth_capture}>{$LANG.charge_any_where.auth_capture}</option>
                  <option value="authorize" {$SELECT_api_mode_authorize}>{$LANG.charge_any_where.auth_only}</option>
               </select>
            </span>
         </div>
         <div>
            <label for="mode">{$LANG.charge_any_where.transaction_mode}</label>
            <span>
               <select name="module[transaction_mode]">
                  <option value="sandbox" {$SELECT_transaction_mode_sandbox}>{$LANG.charge_any_where.sandbox}</option>
                  <option value="live" {$SELECT_transaction_mode_live}>{$LANG.charge_any_where.live}</option>
               </select>
            </span>
         </div>
          <div>
            <label for="testMode">{$LANG.charge_any_where.log}</label>
            <span>
            <input type="hidden" name="module[payment_log]" id="payment_log" class="toggle" value="{$MODULE.payment_log}" />
            </span>
         </div>
          
         <div>
            <label for="testMode">{$LANG.charge_any_where.email_customer}</label>
            <span>
            <input type="hidden" name="module[email_customer]" id="email_customer" class="toggle" value="{$MODULE.email_customer}" />
            </span>
         </div>
         <div>
            <label for="testMode">{$LANG.charge_any_where.email_merchant}</label>
            <span>
            <input type="hidden" name="module[email_merchant]" id="email_merchant" class="toggle" value="{$MODULE.email_merchant}" />
            </span>
         </div>
          
          <div>
            <label for="testMode">{$LANG.charge_any_where.accept_credit}</label>
            <span>
            <input type="hidden" name="module[accept_credit]" id="accept_credit" class="toggle" value="{$MODULE.accept_credit}" />
            </span>
         </div>
         <div id="credit_box_container">
            <table>
               <tr>
               <td style="width:350px;">
                  
               </td>
               <td>
                  <div>
                     <label for="testMode" style="width:100px;">{$LANG.charge_any_where.credit_service}</label>
                     <span>
                     <input type="hidden" name="module[credit_service]" id="credit_service" class="toggle" value="{$MODULE.credit_service}" />
                     </span>
                  </div>
                  <div style="padding-left:50px;">
                     <label for="testMode">{$LANG.charge_any_where.credit_service_fee}</label>
                     <span>
                     <input type="text" name="module[credit_service_fee]" id="credit_service_fee" class="textbox" value="{$MODULE.credit_service_fee}" />
                     </span>
                  </div>
                  <div style="padding-left:50px;">
                     <label for="testMode">{$LANG.charge_any_where.credit_service_fee_value}</label>
                     <span>
                     <input type="text" name="module[credit_service_fee_value]" id="credit_service_fee_value" class="textbox" value="{$MODULE.credit_service_fee_value}" />
                     </span>
                  </div>
                  <div style="padding-left:50px;">
                     <label for="testMode">&nbsp;</label>
                     <span>
                     <input type="hidden" name="module[credit_service_tax]" id="credit_service_tax" class="toggle" value="{$MODULE.credit_service_tax}" />{$LANG.charge_any_where.credit_service_tax}
                     </span>
                  </div>
                  <div style="padding-left:50px;">
                     <label for="testMode">&nbsp;</label>
                     <span>
                     <input type="hidden" name="module[credit_return_service_fee]" id="credit_return_service_fee" class="toggle" value="{$MODULE.credit_return_service_fee}" />{$LANG.charge_any_where.credit_return_service_fee}
                     </span>
                  </div>

                  <div>
                     <label for="testMode" style="width:150px;">{$LANG.charge_any_where.credit_conv_service}</label>
                     <span>
                     <input type="hidden" name="module[credit_conv_service]" id="credit_conv_service" class="toggle" value="{$MODULE.credit_conv_service}" />
                     </span>
                  </div>
                  <div style="padding-left:50px;">
                     <label for="testMode">{$LANG.charge_any_where.credit_conv_service_fee}</label>
                     <span>
                     <input type="text" name="module[credit_conv_service_fee]" id="credit_conv_service_fee" class="textbox" value="{$MODULE.credit_conv_service_fee}" />
                     </span>
                  </div>
                  <div style="padding-left:50px;">
                     <label for="testMode">{$LANG.charge_any_where.credit_conv_service_fee_value}</label>
                     <span>
                     <input type="text" name="module[credit_conv_service_fee_value]" id="credit_conv_service_fee_value" class="textbox" value="{$MODULE.credit_conv_service_fee_value}" />
                     </span>
                  </div>
                  <div style="padding-left:50px;">
                     <label for="testMode">&nbsp;</label>
                     <span>
                     <input type="hidden" name="module[credit_conv_return_service_fee]" id="credit_conv_return_service_fee" class="toggle" value="{$MODULE.credit_conv_return_service_fee}" />{$LANG.charge_any_where.credit_conv_return_service_fee}
                     </span>
                  </div>
               </td>
               </tr>
            </table>
         </div>

         <div>
            <label for="testMode">{$LANG.charge_any_where.accept_ach}</label>
            <span>
            <input type="hidden" name="module[accept_ach]" id="accept_ach" class="toggle" value="{$MODULE.accept_ach}" />
            </span>
         </div>
        
        <div id="ach_box_container">
            <table>
               <tr>
               <td style="width:350px;">
                  
               </td>
               <td>
               <div>
            <label for="testMode" style="width:100px;">{$LANG.charge_any_where.ach_service}</label>
            <span>
            <input type="hidden" name="module[ach_service]" id="ach_service" class="toggle" value="{$MODULE.ach_service}" />
            </span>
         </div>
         <div style="padding-left:50px;">
            <label for="testMode">{$LANG.charge_any_where.ach_service_fee}</label>
            <span>
            <input type="text" name="module[ach_service_fee]" id="ach_service_fee" class="textbox" value="{$MODULE.ach_service_fee}" />
            </span>
         </div>
         <div style="padding-left:50px;">
            <label for="testMode">{$LANG.charge_any_where.ach_service_fee_value}</label>
            <span>
            <input type="text" name="module[ach_service_fee_value]" id="ach_service_fee_value" class="textbox" value="{$MODULE.ach_service_fee_value}" />
            </span>
         </div>
          <div style="padding-left:50px;">
            <label for="testMode">&nbsp;</label>
            <span>
            <input type="hidden" name="module[ach_service_tax]" id="ach_service_tax" class="toggle" value="{$MODULE.ach_service_tax}" />{$LANG.charge_any_where.ach_service_tax}
            </span>
         </div>
          <div style="padding-left:50px;">
            <label for="testMode">&nbsp;</label>
            <span>
            <input type="hidden" name="module[ach_return_service_fee]" id="ach_return_service_fee" class="toggle" value="{$MODULE.ach_return_service_fee}" />{$LANG.charge_any_where.ach_return_service_fee}
            </span>
         </div>

         <div>
            <label for="testMode" style="width:140px;">{$LANG.charge_any_where.ach_conv_service}</label>
            <span>
            <input type="hidden" name="module[ach_conv_service]" id="ach_conv_service" class="toggle" value="{$MODULE.ach_conv_service}" />
            </span>
         </div>
         <div style="padding-left:50px;">
            <label for="testMode">{$LANG.charge_any_where.ach_conv_service_fee}</label>
            <span>
            <input type="text" name="module[ach_conv_service_fee]" id="ach_conv_service_fee" class="textbox" value="{$MODULE.ach_conv_service_fee}" />
            </span>
         </div>
         <div style="padding-left:50px;">
            <label for="testMode">{$LANG.charge_any_where.ach_conv_service_fee_value}</label>
            <span>
            <input type="text" name="module[ach_conv_service_fee_value]" id="ach_conv_service_fee_value" class="textbox" value="{$MODULE.ach_conv_service_fee_value}" />
            </span>
         </div>
          <div style="padding-left:50px;">
            <label for="testMode">&nbsp;</label>
            <span>
            <input type="hidden" name="module[ach_conv_return_service_fee]" id="ach_conv_return_service_fee" class="toggle" value="{$MODULE.ach_conv_return_service_fee}" />{$LANG.charge_any_where.ach_conv_return_service_fee}
            </span>
         </div>
               </td>
            </table>
         </div>
         
      </fieldset>
   </div>
   {$MODULE_ZONES}
   <div class="form_control">
      <input type="submit" name="save" value="{$LANG.common.save}" />
   </div>
</form>
<script type="text/javascript">
{literal}
document.addEventListener('DOMContentLoaded', () => {
   if($('#desc').val() == '')
      $('#desc').val('Charge Anywhere Gateway');
   var accept_credit = $("#accept_credit").val();
   var accept_credit_flag = false;
   if(accept_credit == 1)
      accept_credit_flag = true;
   displayCreditBoxes(accept_credit_flag);

   var accept_ach = $("#accept_ach").val();
   var accept_ach_flag = false;
   if(accept_ach == 1)
      accept_ach_flag = true;
   displayACHBoxes(accept_ach_flag);
   
   let credit_service = $("#credit_service").val();
   credit_service_flag = true;
   if(credit_service == 1)
            credit_service_flag = false;
   
   disableAllCreditFields(credit_service);
	disableCreditcontrols(credit_service);


   let credit_conv_service = $("#credit_conv_service").val();
   credit_conv_service_flag = true;
   if(credit_conv_service == 1)
            credit_conv_service_flag = false;
   
   disableAllCreditConvenienceFields(credit_conv_service);
	disableCreditConvenienceControls(credit_conv_service);

   $("#accept_credit").on( "change", function() {
         let val = $(this).val();
         if(val == 1)
            val = true;
         else
            val = false;
		   displayCreditBoxes(val);
   });

   $("#accept_ach").on( "change", function() {
         let val = $(this).val();
         if(val == 1)
            val = true;
         else
            val = false;
		   displayACHBoxes(val);
   });

   $("#credit_service").on( "change", function() {
          let val = $(this).val();
         if(val == 1)
            val = true;
         else
            val = false;
			disableAllCreditFields(val);
			disableCreditcontrols(val);
	});

   $("#credit_conv_service").on( "change", function() {
          let val = $(this).val();
         if(val == 1)
            val = true;
         else
            val = false;
         disableAllCreditConvenienceFields(val);
			disableCreditConvenienceControls(val);
			
	});

   $("#ach_service").on( "change", function() {
          let val = $(this).val();
         if(val == 1)
            val = true;
         else
            val = false;
			disableAllACHFields(val);
			disableACHcontrols(val);
	});

   $("#ach_conv_service").on( "change", function() {
          let val = $(this).val();
         if(val == 1)
            val = true;
         else
            val = false;
         disableAllACHConvenienceFields(val);
			disableACHConvenienceControls(val);
			
	});
});

function displayCreditBoxes(val){
	if(val)
		$("#credit_box_container").css("display","block");
	else
		$("#credit_box_container").css("display","none");
}

function disableAllCreditFields(val){
	if(val === false){
		//$('#payment_chargeanywhere_apply_credit').prop('checked', false);
		$('#credit_service_fee').val('');
		$('#credit_service_fee_value').val('');
		$('#credit_service_tax').val(0);
		$('#credit_return_service_fee').val(0);

	}
}

function disableCreditcontrols(flag){
		$("#credit_service_fee").prop( "readonly", !flag );
		$("#credit_service_fee_value").prop( "readonly", !flag );

		$('#credit_service_tax').prop('disabled', !flag);
		$('#credit_return_service_fee').prop('disabled', !flag);
		//$('#payment_chargeanywhere_apply_credit_convenience_refund').prop('disabled', !flag);
		
}

function disableAllCreditConvenienceFields(val){
	if(val === false){
		//$('#credit_conv_service_fee').prop('checked', false);
		$('#credit_conv_service_fee_value').val('');
		$('#credit_conv_service_fee').val('');
		$('#credit_conv_return_service_fee').prop('checked', false);
	}
}

function disableCreditConvenienceControls(flag){
	$("#credit_conv_service_fee_value").prop( "readonly", !flag );
	$("#credit_conv_service_fee").prop( "readonly", !flag );
	$("#credit_conv_return_service_fee").prop( "disabled", !flag )
	
}

function disableAllACHFields(val){
	if(val === false){
		$('#ach_service_fee').val('');
		$('#ach_service_fee_value').val('');
		$('#ach_service_tax').val(0);
		$('#ach_return_service_fee').val(0);

	}
}

function disableACHcontrols(flag){
		$("#ach_service_fee").prop( "readonly", !flag );
		$("#ach_service_fee_value").prop( "readonly", !flag );

		$('#ach_service_tax').prop('disabled', !flag);
		$('#ach_return_service_fee').prop('disabled', !flag);
}

function disableAllACHConvenienceFields(val){
	if(val === false){
		//$('#credit_conv_service_fee').prop('checked', false);
		$('#ach_conv_service_fee_value').val('');
		$('#ach_conv_service_fee').val('');
		$('#ach_conv_return_service_fee').prop('checked', false);
	}
}

function disableACHConvenienceControls(flag){
	$("#ach_conv_service_fee_value").prop( "readonly", !flag );
	$("#ach_conv_service_fee").prop( "readonly", !flag );
	$("#ach_conv_return_service_fee").prop( "disabled", !flag )
	
}

function displayACHBoxes(val){
	if(val)
		$("#ach_box_container").css("display","block");
	else
		$("#ach_box_container").css("display","none");
}

{/literal}
</script>