<?php
// The line below prevents direct access to this file which may lead to a path disclosure vulnerability
if(!defined('CC_DS')) die('Access Denied');
$modcfg = $GLOBALS['config']->get('chargeanywhere');

if(isset($record['cart_order_id'])){
    if(isset($_POST['order']['status']) && $_POST['order']['status']=='3') {
        $txns = $GLOBALS['db']->select('CubeCart_transactions', false, array('order_id'=>$record['cart_order_id'],'gateway'=>'chargeanywhere'), array('time'=>'DESC'));
        if ($txns) {
            //$txns[0]['status']=='Authorized'
            $newlog = $txns[0];
           
            //if($modcfg['api_mode'] === 'authorize') {            
            if($txns[0] != 'Captured') {
                $tax_total = 0;   

                $chargeanywhere_fee_details = array();
                $chargeanywhere_fee_details = (array) json_decode($newlog['chargeanywhere_data']);
                if($chargeanywhere_fee_details['fee'] != "")
                    $tax_total = $chargeanywhere_fee_details['fee'];
                
                if($chargeanywhere_fee_details['conv_fee'] != "")
                    $tax_total += $chargeanywhere_fee_details['conv_fee'];
                    
                if($tax_total == '')
                $tax_total = 0;
                if($chargeanywhere_fee_details['transaction_type'] == 'Auth Only'){
                    

                $modlang = $GLOBALS['language']->getStrings('charge_any_where');
                $transaction_approvalcode = explode("_",$newlog['trans_id']);
                unset($newlog['id']);
                    
                $newlog['notes'] = array();
                $email_customer = 'false';
                if($modcfg['email_customer'] == 1)
                    $email_customer = 'true';
                    
                $email_merchant = 'false';
                if($modcfg['email_merchant'] == 1)
                        $email_merchant = 'true';

                $data = array(
                    'CustomerNumber'=> $_POST['customer']['customer_id'],
                    'InvoiceNumber'=> $record['cart_order_id'],
                    'Secret' => $modcfg['secret'],
                    'MerchantId' => $modcfg['merchant_id'],
                    'TerminalId' => $modcfg['terminal_id'],
                    'Seed' => seed_gen(),
                    'Mode' => '2',
                    'Version' => '2.0',
                    'TransactionType' => 'Force',
                    'OriginalTransactionType' => 'Auth Only',
                    'OriginalApprovalCode' =>$transaction_approvalcode[0],
                    'OriginalReferenceNumber' =>  $transaction_approvalcode[1],
                    'OriginalAmount' => $newlog['amount'],
                    'EmailCustomer'  => $email_customer,
                    'EmailMerchant'  => $email_merchant,
                    'Amount' => $_POST['summary']['total'],
                    'Tax' => $chargeanywhere_fee_details['Tax'],
                    'Shipping' => $chargeanywhere_fee_details['Shipping'],
                    'ServiceFeeLabel' => $chargeanywhere_fee_details['ServiceFeeLabel'],
                    'ServiceFeeProvided'=>1,
                    'ServiceFeeAmount' => $tax_total
                );
                
                if($modcfg['payment_log'] == 1){
                    logData("Request", array(
                        'merchant_id'  => $modcfg['merchant_id'],
                        'terminal_id'  => $modcfg['terminal_id'],
                        'invoiceNumber' => $record['cart_order_id'],
                        'customernumber' => $_POST['customer']['customer_id'], 
                        'amount' => $_POST['summary']['total'],
                        'transactionType' => $data['TransactionType'],
                        'tax'   => $data['Tax'],
                        'shipping'   => $data['Shipping'],
                        'ServiceFeeLabel' => $data['ServiceFeeLabel'],
                        'ServiceFeeAmount' => $tax_total,
                        'OriginalTransactionType' => $data['OriginalTransactionType'],
                    ));
                }
                $payload = json_encode( $data );
                $response_data = postTransaction($payload,$modcfg);
                
                if($response_data!=''){
                    $responsedata = explode("&",$response_data);
                    $response = array();
                    foreach($responsedata as $key=>$val){
                        $txt = explode("=",$val);
                        $response[$txt[0]] = $txt[1];
                    }

                    if($modcfg['payment_log'] == 1){
                        logData("Response", array(
                            'merchant_id'  => $modcfg['merchant_id'],
                            'terminal_id'  => $modcfg['terminal_id'],
                            'invoicenumber'=> $record['cart_order_id'],
                            'responsecode' => $response['ResponseCode'],
                            'approvalcode' => $response['ApprovalCode'],
                            'AuthorizedAmount' => $response['AuthorizedAmount'],
                            'ReferenceNumber' => $response['ReferenceNumber'],
                            'transactionType' => 'Force',
                        ));
                    }
                    if($response['ResponseCode'] == '000'){
                        $newlog['notes'] = $modlang['captured'];
                        $newlog['status'] = 'Captured';

                        $chargeanywhere_fee_details['transaction_type'] = 'Sale';
                        $record1 = array();
                        $record1['chargeanywhere_data'] = json_encode($chargeanywhere_fee_details);
                        $GLOBALS['db']->update('CubeCart_transactions', $record1, array('order_id' => $record['cart_order_id'], 'status' => 'Approved'));
                    } else{
                        $GLOBALS['main']->errorMessage($response['ResponseText']);
                    }
                } 
                $order->logTransaction($newlog);
            }
            }
                
            /*} else {
                $newlog['notes'] = $modlang['captured'];
                $newlog['status'] = 'Captured';
                $order->logTransaction($newlog);
            }*/
        }
    }
}

/* Refund block */
// refund request posted

if(isset($GLOBALS['_POST']['confirmplrefund']) && $GLOBALS['_POST']['confirmplrefund']) {
    $txns = $GLOBALS['db']->select('CubeCart_transactions', false, array('order_id'=>$record['cart_order_id'],'gateway'=>'chargeanywhere'), array('time'=>'DESC'));
   
    if ($txns) {
        //if($txns[0]['status']=='Captured') 
        {
            $newlog = $txns[0];
           
            $txns1 = $GLOBALS['db']->select('CubeCart_transactions', false, array('order_id'=>$record['cart_order_id'],'gateway'=>'chargeanywhere','status'=>'Approved'), array('time'=>'DESC'));
            $chargeanywhere_fee_details = (array) json_decode($txns1[0]['chargeanywhere_data']);
            
            if($chargeanywhere_fee_details['transaction_type'] != 'Sale')
                return false;
            $total = 0;
            $tax_total  = 0;
            if($_POST['summary']['total'] > 0)
                $total = $_POST['summary']['total'];

            if($chargeanywhere_fee_details['transaction_mode'] == 'credit'){
                if($chargeanywhere_fee_details['fee'] != ""){
                    if($modcfg['credit_return_service_fee'] == 1)
                        $tax_total += $chargeanywhere_fee_details['fee'];
                    else
                        $total = $total - $chargeanywhere_fee_details['fee'];
                }
                    
                if($chargeanywhere_fee_details['conv_fee'] != ""){
                    if($modcfg['credit_conv_return_service_fee'] == 1)
                        $tax_total += $chargeanywhere_fee_details['conv_fee'];
                    else
                        $total = $total - $chargeanywhere_fee_details['conv_fee'];
                }
            } 
            if($chargeanywhere_fee_details['transaction_mode'] == 'ach'){
                if($chargeanywhere_fee_details['fee'] != ""){
                    if($modcfg['ach_return_service_fee'] == 1)
                        $tax_total += $chargeanywhere_fee_details['fee'];
                    else
                        $total = $total - $chargeanywhere_fee_details['fee'];
                }
                    
                if($chargeanywhere_fee_details['conv_fee'] != ""){
                    if($modcfg['ach_conv_return_service_fee'] == 1)
                        $tax_total += $chargeanywhere_fee_details['conv_fee'];
                    else
                        $total = $total - $chargeanywhere_fee_details['conv_fee'];
                }
            }
            
           
            if($tax_total == '')
                $tax_total = 0;
            $transaction_approvalcode = explode("_",$newlog['trans_id']);
               

            unset($newlog['id']);
            $modlang = $GLOBALS['language']->getStrings('charge_any_where');
                
            $newlog['notes'] = array();
            $email_customer = 'false';
            if($modcfg['email_customer'] == 1)
                $email_customer = 'true';
                   
            $email_merchant = 'false';
            if($modcfg['email_merchant'] == 1)
                $email_merchant = 'true';
                   
            $data = array(
                'CustomerNumber'=> $_POST['customer']['customer_id'],
                'InvoiceNumber'=> $record['cart_order_id'],
                'Secret' => $modcfg['secret'],
                'MerchantId' => $modcfg['merchant_id'],
                'TerminalId' => $modcfg['terminal_id'],
                'Seed' => seed_gen(),
                'Mode' => '2',
                'Version' => '2.0',
                'TransactionType' => 'Return',
                'OriginalTransactionType' => 'Sale',
                'OriginalApprovalCode' =>$transaction_approvalcode[0],
                'OriginalReferenceNumber' =>  $transaction_approvalcode[1],
                'OriginalAmount' => $newlog['amount'],
                'EmailCustomer'  => $email_customer,
                'EmailMerchant'  => $email_merchant,
                'Amount' => $total,
                'Tax' => $chargeanywhere_fee_details['Tax'],
                'Shipping' => $chargeanywhere_fee_details['Shipping'],
                'ServiceFeeLabel' => $chargeanywhere_fee_details['ServiceFeeLabel'],
                'ServiceFeeProvided'=>1,
                'ServiceFeeAmount' => $tax_total,
                'PaymentMethod' => $_POST['PaymentMethod']
            );
           
            $payload = json_encode( $data );
            if($modcfg['payment_log'] == 1){
                logData("Request", array(
                    'merchant_id'  => $modcfg['merchant_id'],
                    'terminal_id'  => $modcfg['terminal_id'],
                    'invoiceNumber' => $record['cart_order_id'],
                    'customernumber' => $_POST['customer']['customer_id'], 
                    'amount' => $total,
                    'tax'   => $data['Tax'],
                    'shipping'   => $data['Shipping'],
                    'transactionType' => 'Return',
                    'ServiceFeeLabel' => $data['ServiceFeeLabel'],
                    'ServiceFeeAmount' => $tax_total,
                    'OriginalTransactionType' => $data['OriginalTransactionType'],
                ));
            }

            $response_data = postTransaction($payload,$modcfg);
            
                if($response_data!=''){
                $responsedata = explode("&",$response_data);
                $response = array();
                foreach($responsedata as $key=>$val){
                    $txt = explode("=",$val);
                    $response[$txt[0]] = $txt[1];
                }

                if($modcfg['payment_log'] == 1){
                    logData("Response", array(
                       'merchant_id'  => $modcfg['merchant_id'],
                       'terminal_id'  => $modcfg['terminal_id'],
                       'invoicenumber'=>  $record['cart_order_id'],
                       'responsecode' => $response['ResponseCode'],
                       'approvalcode' => $response['ApprovalCode'],
                       'AuthorizedAmount' => $response['AuthorizedAmount'],
                       'ReferenceNumber' => $response['ReferenceNumber'],
                       'transactionType' => 'Return',
                    ));
                }
                if($response['ResponseCode'] == '000'){
                    $newlog['notes'][] = $modlang['refunded'];
                    $newlog['status'] = 'Refunded';

                    $chargeanywhere_fee_details['transaction_type'] = 'complete';
                    $record1 = array();
                    $record1['chargeanywhere_data'] = json_encode($chargeanywhere_fee_details);
                    $GLOBALS['db']->update('CubeCart_transactions', $record1, array('order_id' => $record['cart_order_id'], 'status' => 'Approved'));

                    $order->logTransaction($newlog);
        			$order->paymentStatus(Order::PAYMENT_CANCEL, $record['cart_order_id']);
					$order->orderStatus(Order::PAYMENT_CANCEL, $record['cart_order_id']);
                    
                }else{
                    $GLOBALS['main']->errorMessage($response['ResponseText']);
                }
            } 
            
        }
    }
}

function logData($type, $data){
    $date = new \DateTime('now', new \DateTimeZone(date('P')));
    $data = array_merge(array('current_time' => $date->format("Y-m-d H:i:s-u")), $data);
    $fname = date("Y-m-d");
    $fileName = dirname(__FILE__)."/../logs/".$fname.".log";
    $file = fopen($fileName, "a") or die("Unable to open file!");
    fwrite($file, $type.": ".json_encode($data)."\n");
    fclose($file);
 }

function postTransaction($data,$modcfg){

    $vPostData = "";
    $data = json_decode($data);
   
    foreach($data as $key => $val){
        if($vPostData != "") $vPostData .= "&";
        $vPostData .= $key."=".$val;
    }

    $post_url = 'https://webtest.chargeanywhere.com/APIs/PaymentFormAIP.aspx';

    if($modcfg['transaction_mode'] == 'live')
        $post_url = 'https://web.chargeanywhere.com/APIs/PaymentFormAIP.aspx';

    $curl = curl_init();
    curl_setopt_array($curl, array(
    CURLOPT_URL => $post_url,
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_ENCODING => '',
    CURLOPT_MAXREDIRS => 10,
    CURLOPT_TIMEOUT => 0,
    CURLOPT_FOLLOWLOCATION => true,
    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
    CURLOPT_CUSTOMREQUEST => 'POST',
    CURLOPT_POSTFIELDS => $vPostData,
    CURLOPT_HTTPHEADER => array(
        'Content-Type: application/x-www-form-urlencoded'		),
    ));

    $response = curl_exec($curl);
    
    curl_close($curl);
    return $response;

}

function seed_gen(){
    return rand(1,9).time();
 }
