{if $MERCHANT_ID == '' or $TERMINAL_ID == '' or $SECRET_ID == ''}
	<div class="card-body payment-card-body" id="credit_container">
		<h4>Charge Anywhere</h4>
		<p>Setup is not complete. Please contact the site administrator</p>
	</div>
{else if $ACCEPT_CREDIT != 1 && $ACCEPT_ACH != 1}
		<div class="card-body payment-card-body" id="credit_container"> 
			<legend>Please enable options to proceed with Charge Anywhere</legend>
		</div>
{else}
<h2>{$LANG.orders.title_card_details}</h2>
	{if isset($ACCEPT_CREDIT) && $ACCEPT_CREDIT == 1 && isset($ACCEPT_ACH) && $ACCEPT_ACH == 1}
		<table width="100%" cellpadding="3" cellspacing="10" border="0">
			<tr>
				<td>
					<select name="chargeanywhere_option" id="chargeanywhere_option">
						<option value="credit">CREDIT</option>
						<option value="ach">ACH</option>
					</select>
				</td>
			</tr>
		</table>
	{else if isset($ACCEPT_CREDIT) && $ACCEPT_CREDIT == 1}
		<input type="hidden" name="chargeanywhere_option" id="chargeanywhere_option"  value="credit" />
	{else if isset($ACCEPT_ACH) && $ACCEPT_ACH == 1}
		<input type="hidden" name="chargeanywhere_option" id="chargeanywhere_option"  value="ach" />
	{/if}
	{if isset($ACCEPT_CREDIT) && $ACCEPT_CREDIT == 1}
		<table class="credit_container" style="display:none;">
			<tr>
				<td>Sub Total</td>
				<td style="text-align:right">${$ORDER_TOTAL}</td>
			</tr>
			{if isset($ORDER_SHIPPING) && $ORDER_SHIPPING > 0}
				<tr>
					<td>Shipping</td>
					<td style="text-align:right">${$ORDER_SHIPPING}</td>
				</tr>
			{/if}
			<tr>
				<td>Total Tax</td>
				<td style="text-align:right">${$TOTAL_TAX}</td>
			</tr>
			{if isset($CREDIT_SERVICE_FEE_VALUE) && $CREDIT_SERVICE_FEE_VALUE > 0}
				<tr>
					<td>{$CREDIT_SERVICE_FEE_LABEL}
						<input type="hidden" name="credit_label"  size="18" maxlength="18" value="{$CREDIT_SERVICE_FEE_LABEL}"/>
					</td>
					<td style="text-align:right">${$CREDIT_SERVICE_FEE_VALUE}
						<input type="hidden" name="credit_fee"  size="18" maxlength="18" value="{$CREDIT_SERVICE_FEE_VALUE}"/>
						<input type="hidden" name="credit_fee_id"  size="18" maxlength="18" value="{$CREDIT_SERVICE_FEE_ID}"/>
					</td>
				</tr>
			{/if}
			{if isset($CREDIT_CONV_SERVICE_FEE_VALUE) && $CREDIT_CONV_SERVICE_FEE_VALUE > 0}
				<tr>
					<td>{$CREDIT_CONV_SERVICE_FEE_LABEL}
						<input type="hidden" name="credit_conv_label"  size="18" maxlength="18" value="{$CREDIT_CONV_SERVICE_FEE_LABEL}"/>
						<input type="hidden" name="credit_conv_fee_id"  size="18" maxlength="18" value="{$CREDIT_CONV_SERVICE_FEE_ID}"/>
					</td>
					<td style="text-align:right">${$CREDIT_CONV_SERVICE_FEE_VALUE}
						<input type="hidden" name="credit_conv_value"  size="18" maxlength="18" value="{$CREDIT_CONV_SERVICE_FEE_VALUE}"/>
					</td>
				</tr>
			{/if}
			<tr>
				<td>Total</td>
				<td style="text-align:right" class="credit_total">${$CREDIT_ORDER_TOTAL}</td>
			</tr>
		</table>
		{if $TRANSACTION_MODE == 'sandbox'}
			<p class="credit_container">TEST MODE ENABLED. Use test card number 4111111111111111 with any 3-digit CVC and a future expiration date</p>
		{/if}
		<table width="100%" class="credit_container" cellpadding="3" cellspacing="10" border="0" style="display:none;">
  			<tr>
  		  		<td width="20%">{$LANG.gateway.card_number}</td>                  
  		  		<td>
					<input type="text" name="cardNumber" id="chargeanywhere-card-number" value=""  maxlength="19" />
		  			<input type="hidden" name="add1"  size="18" maxlength="18" value="{$add1}"/>
					<input type="hidden" name="add2"  size="18" maxlength="18" value="{$add2}"/>
		  		</td>    
	  		</tr>
  			<tr>
  		  		<td width="140">{$LANG.gateway.card_expiry_date}</td>       
  		  		<td>
  		  			<div class="row">
  		  				<div class="small-5 medium-3 large-2 columns">
		  		  			<select name="expirationMonth">
		  		    			{foreach from=$EXPIRE_MONTHS item=month}<option value="{$month.value}" {$month.selected}>{$month.display}</option>{/foreach}
				    		</select>
		    			</div>
		    			<div class="small-1 columns text-center">/</div>
						<div class="small-5 medium-3 large-2 columns end">
							<select name="expirationYear">
								{foreach from=$EXPIRE_YEARS item=year}<option value="{$year.value}" {$year.selected}>{$year.value}</option>{/foreach}
							</select>
						</div>
					</div>
		  		</td>
	  		</tr>
  			<tr>
				<td width="140">{$LANG.gateway.card_security}</td>
		    	<td>
		    		<div class="row">
  		  				<div class="small-5 medium-3 large-2 columns end"><input type="text" name="cvc2" id="cvv2" value="" size="5" maxlength="{$CVV.length}" class="textbox_small" />
            				<a href="images/general/cvv.gif" class="colorbox" title="{$LANG.gateway.card_security}">{$LANG.common.whats_this}</a> 
						</div>
            		</div>
            	</td>           
	    	</tr>
		</table>
	{/if}
	{if isset($ACCEPT_ACH) && $ACCEPT_ACH == 1}
		<table class="ach_container" style="display:none;">
			<tr>
				<td>Sub Total</td>
				<td style="text-align:right">${$ORDER_TOTAL}</td>
			</tr>
			{if isset($ORDER_SHIPPING) && $ORDER_SHIPPING > 0}
				<tr>
					<td>Shipping</td>
					<td style="text-align:right">${$ORDER_SHIPPING}</td>
				</tr>
			{/if}
			<tr>
				<td>Total Tax</td>
				<td style="text-align:right">${$TOTAL_TAX}</td>
			</tr>
			{if isset($ACH_SERVICE_FEE_VALUE) && $ACH_SERVICE_FEE_VALUE > 0}
				<tr>
					<td>{$ACH_SERVICE_FEE_LABEL}
						<input type="hidden" name="ach_label"  size="18" maxlength="18" value="{$ACH_SERVICE_FEE_LABEL}"/>
					</td>
					<td style="text-align:right">${$ACH_SERVICE_FEE_VALUE}
						<input type="hidden" name="ach_fee_id"  size="18" maxlength="18" value="{$ACH_SERVICE_FEE_ID}"/>
						<input type="hidden" name="ach_fee"  size="18" maxlength="18" value="{$ACH_SERVICE_FEE_VALUE}"/>
					</td>
				</tr>
			{/if}
			{if isset($ACH_CONV_SERVICE_FEE_VALUE) && $ACH_CONV_SERVICE_FEE_VALUE > 0}
				<tr>
					<td>{$ACH_CONV_SERVICE_FEE_LABEL}
						<input type="hidden" name="ach_conv_label"  size="18" maxlength="18" value="{$ACH_CONV_SERVICE_FEE_LABEL}"/>
					</td>
					<td style="text-align:right">${$ACH_CONV_SERVICE_FEE_VALUE}
						<input type="hidden" name="ach_conv_fee_id"  size="18" maxlength="18" value="{$ACH_CONV_SERVICE_FEE_ID}"/>
						<input type="hidden" name="ach_conv_value"  size="18" maxlength="18" value="{$ACH_CONV_SERVICE_FEE_VALUE}"/>
					</td>
				</tr>
			{/if}
			<tr>
				<td>Total</td>
				<td  style="text-align:right" class="ach_total">${$ACH_ORDER_TOTAL}</td>
			</tr>
		</table>
		{if $TRANSACTION_MODE == 'sandbox'}
			<p class="ach_container">TEST MODE ENABLED. Use test account number 123456 with routing number 111111118</p>
		{/if}
		<table width="100%"  class="ach_container" cellpadding="3" cellspacing="10" border="0" style="display:none;">
  			<tr>
		  		<td width="140">ACCOUNT NUMBER</td>        
  		  		<td><input type="text" class="form-control" placeholder="000 000" name="chargeanywhere_account_number" id="chargeanywhere_account_number">	</td>   
		  		<td><input type="hidden" name="add1"  size="18" maxlength="18" value="{$add1}"/></td>       
		   		<td><input type="hidden" name="add2"  size="18" maxlength="18" value="{$add2}"/></td>       
	  		</tr>
			<tr>
  		  		<td width="140">ROUTING NUMBER</td>                  
  		  		<td><input type="text" class="form-control"  name="chargeanywhere_routing_number" id="chargeanywhere_routing_number">	</td>   
		  		<td></td>       
		   		<td></td>       
	  		</tr>
			<tr>
  		  		<td width="140">Account Type</td>                  
  		  		<td>
		  			<select name="chargeanywhere_acctype" id="chargeanywhere_acctype" class="input-text  form-control wc-credit-card-form-card-number">
						<option value="0">Personal Savings</option>
						<option value="1">Personal Checking</option>
						<option value="2">Business Checking</option>
					</select>
		  		</td>
		  		<td></td>       
		   		<td></td>       
	  		</tr>
		</table>
	{/if}
{/if}
<script type="text/javascript">
{literal}
	document.addEventListener('DOMContentLoaded', () => {
		var coption = $("#chargeanywhere_option").val();
		$(".credit_container").css("display","none");
		$(".ach_container").css("display","none");

		if(coption == 'credit'){
			$(".credit_container").css("display","block");
			$("#gateway-transfer p:eq(0) strong:eq(0)").text($(".credit_total").text());
		}
		if(coption == 'ach'){
			$(".ach_container").css("display","block");
			$("#gateway-transfer p:eq(0) strong:eq(0)").text($(".ach_total").text());
		}

		$("#chargeanywhere_option").on('change',function(){

			$('#chargeanywhere-card-number').css('border','1px solid #CCC');
			$('#cvv2').css('border','1px solid #CCC');
			$('#chargeanywhere_account_number').css('border','1px solid #CCC');
			$('#chargeanywhere_routing_number').css('border','1px solid #CCC');

			$(".credit_container").css("display","none");
			$(".ach_container").css("display","none");
			var coption = $(this).val();
			if(coption == 'credit'){
				$(".credit_container").css("display","block");
				$("#gateway-transfer p:eq(0) strong:eq(0)").text($(".credit_total").text());
			}
			if(coption == 'ach'){
				$(".ach_container").css("display","block");
				$("#gateway-transfer p:eq(0) strong:eq(0)").text($(".ach_total").text());
			}
		})

		$('#chargeanywhere-card-number').on('keypress change blur', function () {
			console.log($(this).val());
			$(this).val(function (index, value) {
				return value.replace(/[^0-9]+/gi, '').replace(/(.{4})/g, '$1 ');
			});
		});
		
		$('#gateway-transfer').on('submit', function(e) { 
			
			if($('#chargeanywhere_option').val() == 'credit'){
				return validateCreditForm();
			} else{
				return validateACHForm();
			}
		});

		$('#chargeanywhere-card-number').on('copy cut paste', function () {
			setTimeout(function () {
				$('#chargeanywhere-card-number').trigger("change");
			});
		});

		$('#chargeanywhere_account_number').on('copy cut paste', function () {
			setTimeout(function () {
				$('#chargeanywhere_account_number').trigger("change");
			});
		});

		$('#chargeanywhere_account_number').on('keypress change blur', function () {
			$(this).val(function (index, value) {
				console.log(value);
				return value.replace(/[^0-9]+/gi, '').replace(/(.{3})/g, '$1 ');
			});
		});

		$('#chargeanywhere_routing_number').on('copy cut paste', function () {
			setTimeout(function () {
				$('#chargeanywhere_routing_number').trigger("change");
			});
		});

		$('#chargeanywhere_routing_number').on('keypress change blur', function () {
			$(this).val(function (index, value) {
				console.log(value);
				return value.replace(/[^0-9]+/gi, '').replace(/(.{3})/g, '$1 ');
			});
		});
	});

	function validateCreditForm(){
		$('#chargeanywhere-card-number').css('border','1px solid #CCC');
		$('#cvv2').css('border','1px solid #CCC');
		var errorflag = false;
		if($('#chargeanywhere-card-number').val() == ''){
			$('#chargeanywhere-card-number').css('border','1px solid #FF0000');
			errorflag = true;
		}
		if($('#cvv2').val() == ''){
			$('#cvv2').css('border','1px solid #FF0000');
			errorflag = true;
		}
		if(errorflag){
			return false;
		}
		return true;
	}

	function validateACHForm(){
		$('#chargeanywhere_account_number').css('border','1px solid #CCC');
		$('#chargeanywhere_routing_number').css('border','1px solid #CCC');
		var errorflag = false;
		if($('#chargeanywhere_account_number').val() == ''){
			$('#chargeanywhere_account_number').css('border','1px solid #FF0000');
			errorflag = true;
		}
		if($('#chargeanywhere_routing_number').val() == ''){
			$('#chargeanywhere_routing_number').css('border','1px solid #FF0000');
			errorflag = true;
		}
		
		if(errorflag){
			return false;
		}
		return true;
	}
{/literal}
</script>